Subject: FW: [Iptel] Adapting to RFC 3966

From: "Nadav Golombick" <[email-masked]>
Date: Thu, 26 Jan 2006 10:41:54 +0200

Hi,

 The issue regarding 2806 is that I have an application that already
supports 2806 and would like to add the support for 3966 without
affecting backwards compatibility.
Some of the issues that I have encountered are as follows:
1) In 2806 the context parameter as well as other parameters can appear
a number of times. In 3966, those parameters can only appear once.
2) The phone-context in 2806 can contain alphanumeric characters as well
as a number of other characters mentioned. In 3966, only alphanumeric
characters, period and dashes (-) can appear. 

As for modem and fax, I don't have to support them, so that issue is not
a problem.

Thanks,

Nadav

-----Original Message-----
From: lconroy [mailto:[email-masked]] 
Sent: Thursday, January 26, 2006 3:17 AM
To: Nadav Golombick
Cc: [email-masked]
Subject: Re: [Iptel] Adapting to RFC 3966

Hi there,
  It is hard to give a specific answer without you spelling out exactly
what you see as the problems in your program with 3966 support.

In general, don't try to support 2806. It is a bad idea.
The update was to fix some features that did not interwork well,
as everyone interpreted them differently. From experience, "pure"
2806 support is a road to pain during integration/interworking tests.

Of course, if you're after fax: or data:, you're out of luck, but on
the tel: side, 3966 is MUCH clearer, IMHO.

atb,
   L

On 25 Jan 2006, at 07:46, Nadav Golombick wrote:
> Hi,
>
>
>
> Currently, my application is adapted to RFC 2806. Since there are a  
> few
> conflicts between the two RFCs, I was hoping that someone else has
> attempted to support both RFCs. If so, can you give me a few  
> suggestions
> as how you solved the conflicts.
>
>
>
> Thanks,
>
>
>
> Iptel mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/iptel

_______________________________________________
Iptel mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/iptel